ifndef STAGINGDIR
$(error "STAGINGDIR not defined")
endif

SUT_DIR=$(realpath ../../..)
BINARIES = test_main

OBJECTS = string_attachBuffer.o \
		string_safeBuffer.o \
		string_tests_cmocka.o \
		string_datetime_ng.o

SUT_OBJECTS = 	$(SUT_DIR)/src/utils/string.o \
		$(SUT_DIR)/src/utils/datetime.o \
		$(SUT_DIR)/src/utils/string_conversion.o \
		$(SUT_DIR)/src/common/error.o \

CFLAGS += -I../../../include \
		  -fprofile-arcs -ftest-coverage \
		  $(shell PKG_CONFIG_PATH=$(STAGINGDIR)/build/pkg-config pkg-config --cflags cmocka)
LDFLAGS += -fprofile-arcs -ftest-coverage \
           -L$(STAGINGDIR)/lib \
		   $(shell PKG_CONFIG_PATH=$(STAGINGDIR)/build/pkg-config pkg-config --libs cmocka)

$(BINARIES): $(OBJECTS) $(SUT_OBJECTS)
	$(CC) -o $(@) $(OBJECTS) $(SUT_OBJECTS) $(LDFLAGS)

include ../../test_common.mk
